microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a skill
DELETE
/skills/{name}
Removes the specified skill and its associated versions.
Paramètres de chemin d’accès
name
string
obligatoire
The unique name of the skill.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Réponses
The request has succeeded.
Corps
Content-Type: application/json
id
string
obligatoire
The unique identifier of the deleted skill.
name
string
obligatoire
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
obligatoire
Whether the skill was successfully deleted.
Requête
DELETE /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json